// Face panel class for Face lab
// This file is modified by lab stucdents

// (c) J. Dean Brock, Rebecca F. Bruce, 2001, 2004
// Department of Computer Science
// University of North Carolina at Asheville

// Derived from UNCA CSCI 201 Face lab
// (c) J. Dean Brock, 1998

// Your name goes here ==>

import java.awt.* ;

/**
 * Component for graphics applications to draw a face.
 * <B>Students modify this file!</B>
 */
public class Face extends javax.swing.JComponent {
    
        
    Face() {
        setPreferredSize(new Dimension(500, 600)) ;
    }
    
    
    /**
     * Overriden paint routine to draw Stonehenge.
     * <B>Students modify this method!</B>
     * @param oldG Graphics object to use for painting
     */
    public void paint( Graphics oldG ){
        Graphics g = oldG.create() ;
        // The face "background"
        g.setColor( Color.YELLOW ) ;
        g.fillRect(  50,  50, 400, 500 ) ;
        

        // The evil eye
        g.setColor( Color.DARK_GRAY) ;
        g.fillPolygon(new int[] {100, 200, 200}, new int[] {100, 100, 200}, 3) ;
        
        // The nose
        g.fillArc(  150, 150, 200, 200, 250, 40) ;

        // The mouth
        g.setColor( Color.RED ) ;
        g.fillRect( 100, 400, 300,  50 ) ;
        
    }       

}
